<div class="cr-pagination">
  <div class="cr-pagination-container">

    <div class="cr-pagination-section2" style="flex-grow: 1">
      Items per page:
      <mat-form-field>
        <mat-select required [(value)]="perPage" (selectionChange)="itemsPerPage()">
          <mat-option *ngFor="let pageOption of pageOptions" [value]="pageOption.value">{{pageOption.label}}
          </mat-option>
          <!-- <mat-option [value]="30">30</mat-option> -->
          <!-- <mat-option [value]="50">50</mat-option> -->
          <!-- <mat-option [value]="100">100</mat-option> -->
          <!-- <mat-option [value]="250">250</mat-option> -->
        </mat-select>
      </mat-form-field>
      <!-- entries -->
    </div>
    <div class="cr-pagination-section1" style="flex-grow: 1">
      {{ startItem }} - {{ endItem }} of {{ totalItems }}
    </div>
    <div class="cr-pagination-section3" style="flex-grow: 1">
      <div class="page-items">
        <button mat-icon-button (click)="goToPage(0)" [disabled]="currentPage == 0">
          <mat-icon>first_page</mat-icon>
        </button>
        <button mat-icon-button (click)="goToPage(currentPage - 1)" [disabled]="currentPage == 0">
          <mat-icon>keyboard_arrow_left</mat-icon>
        </button>

        <!-- <ng-container *ngIf="totalPages > 10">
          <button mat-icon-button (click)="goToPage(0)" [ngClass]="{ active: currentPage == 0 }">{{ 1 }}</button>

          <button mat-icon-button disabled *ngIf="requiredBefore()">...</button>

          <button mat-icon-button *ngIf="currentPage == 3" (click)="goToPage(1)">{{ 2 }}</button>

          <button mat-icon-button *ngIf="currentPage > 1" (click)="goToPage(currentPage - 1)">{{ currentPage }}</button>

          <button mat-icon-button color="primary" *ngIf="currentPage != totalPages - 1 && currentPage != 0"
            (click)="goToPage(currentPage - 1)">{{ currentPage + 1 }}</button>

          <button mat-icon-button *ngIf="currentPage < totalPages - 2"
            (click)="goToPage(currentPage + 1)">{{ currentPage + 2 }}</button>

          <button mat-icon-button *ngIf="currentPage == totalPages - 4"
            (click)="goToPage(totalPages - 2)">{{ totalPages - 1 }}</button>

          <button mat-icon-button disabled *ngIf="requiredAfter()">...</button>

          <button mat-icon-button (click)="goToPage(totalPages - 1)"
            [ngClass]="{ active: currentPage == totalPages - 1 }">{{ totalPages }}</button>
        </ng-container>

        <ng-container *ngIf="totalPages <= 10">
          <button mat-icon-button *ngFor="let page of totalPageList; let i = index" (click)="goToPage(i)"
            [disabled]="currentPage == i" [ngClass]="{active: currentPage == i}">{{ page }}</button>
        </ng-container> -->

        <button mat-icon-button (click)="goToPage(currentPage + 1)" [disabled]="currentPage == totalPages - 1">
          <mat-icon>keyboard_arrow_right</mat-icon>
        </button>
        <button mat-icon-button (click)="goToPage(totalPages - 1)" [disabled]="currentPage == totalPages - 1">
          <mat-icon>last_page</mat-icon>
        </button>
      </div>
    </div>
  </div>
</div>